<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>New Object Wizard Contributor</title>
<style type="text/css">@import url("file:/opt/eclipse/plugins/org.eclipse.epp.package.standard_4.4.2.20150219-0708/book.css");</style>
<style type="text/css">@import url("file:/home/tv/.eclipse/org.eclipse.platform_4.4.2_1473617060_linux_gtk_x86_64/configuration/org.eclipse.osgi/207/0/.cp/schema.css");</style>
</HEAD>
<BODY>
<H1 style="text-align:center">New Object Wizard Contributor</H1>
<p></p>
<h6 class="CaptionFigColumn SchemaHeader">Identifier: </h6>info.textgrid.lab.ui.core.newObjectContributor<p></p>
<h6 class="CaptionFigColumn SchemaHeader">Since: </h6>1.0.2
<p></p>

<h6 class="CaptionFigColumn SchemaHeader">Description: </h6>This extension point can be used to contribute code to the New Object dialog.<p></p>
<h6 class="CaptionFigColumn SchemaHeader">Configuration Markup:</h6>
<p></p>
<p class="code SchemaDtd">&lt;!ELEMENT <a name="e.extension">extension</a> (<a href="#e.contentTypeContributor">contentTypeContributor</a>+)&gt;</p>
<p class="code SchemaDtd">&lt;!ATTLIST extension</p>
<p class="code SchemaDtdAttlist">point&nbsp;CDATA #REQUIRED</p>
<p class="code SchemaDtdAttlist">id&nbsp;&nbsp;&nbsp;&nbsp;CDATA #IMPLIED</p>
<p class="code SchemaDtdAttlist">name&nbsp;&nbsp;CDATA #IMPLIED&gt;</p>
<p></p>
<ul class="ConfigMarkupAttlistDesc">
</ul>
<br><p class="code SchemaDtd">&lt;!ELEMENT <a name="e.contentTypeContributor">contentTypeContributor</a> (<a href="#e.wizardPage">wizardPage</a>*)&gt;</p>
<p class="code SchemaDtd">&lt;!ATTLIST contentTypeContributor</p>
<p class="code SchemaDtdAttlist">contentType&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;IDREF #REQUIRED</p>
<p class="code SchemaDtdAttlist">showMetadataPage&nbsp;&nbsp;&nbsp;(true | false) "true"</p>
<p class="code SchemaDtdAttlist">needsValidMetadata&nbsp;(true | false) "false"</p>
<p class="code SchemaDtdAttlist">preparator&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CDATA #IMPLIED</p>
<p class="code SchemaDtdAttlist">allowFastFinish&nbsp;&nbsp;&nbsp;&nbsp;(true | false) "true"&gt;</p>
<p></p>
<p class="ConfigMarkupElementDesc">
Contributes processing code for a specific TextGrid content type.</p>
<br>
<ul class="ConfigMarkupAttlistDesc">
<li><b>contentType</b> - The content type to contribute to. This is one of the content types declared using the extension point info.textgrid.lab.core.model.contentTypes.</li>
<li><b>showMetadataPage</b> - Show the page asking the user to enter descriptive metadata.</li>
<li><b>needsValidMetadata</b> - If true, the user must hve entered at least the metadata required for saving the object to the grid before continuing.</li>
<li><b>preparator</b> - A class that can prepare the object's metadata and implement the behaviour for the wizard's Finish button.</li>
<li><b>allowFastFinish</b> - Set this to <code>false</code> the <em>Finish</em> button should be disabled on the first page if this content type is selected.</li>
</ul>
<br><p class="code SchemaDtd">&lt;!ELEMENT <a name="e.wizardPage">wizardPage</a> EMPTY&gt;</p>
<p class="code SchemaDtd">&lt;!ATTLIST wizardPage</p>
<p class="code SchemaDtdAttlist">title&nbsp;&nbsp;&nbsp;&nbsp;CDATA #IMPLIED</p>
<p class="code SchemaDtdAttlist">page&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CDATA #REQUIRED</p>
<p class="code SchemaDtdAttlist">required&nbsp;(true | false) "false"&gt;</p>
<p></p>
<ul class="ConfigMarkupAttlistDesc">
<li><b>title</b> - The default page title for this wizard page. This might be used for a page overview.

If not given, the implementing page class is responsible for setting the page title.</li>
<li><b>page</b> - A wizard page that will be added to the wizard. Note that the page will be created using its zero-argument constructor.</li>
<li><b>required</b> - If true, the user must complete this page in order to finish the wizard.</li>
</ul>
<br><br>
<p class="note SchemaCopyright">
</p>
</BODY>
</HTML>
